#ifndef __OSPDUMPH__

#define __OSPDUMPH__



#ifdef __cplusplus

extern "C" {

#endif

#include "ospShell.h"
#include "ospHeap.h"

#define APC_DM_LEN 0x200000
#define MAX_DUMP_DIS_SIZE (6*1024*1024)
#define MAX_DUMP_LEN (1*1024*1024)

void osp_dump_init(void);
void osp_dump_dis_mem(char* addr, uint32_t ulLen);
void osp_mem_print(char *addr , uint32_t ulLen);
void osp_dump_dm_test(uint8_t ucApcId, uint64_t ullAddr, uint32_t ullen);
OSP_STATUS osp_dump_proc(char *pName, module_type_e        module, uint64_t phy_addr, uint64_t ulLen);
void osp_dump_dm(char *pName, uint32_t ulLen);
void osp_dump_sm(char *pName, uint32_t ulLen);
OSP_STATUS osp_dump_len_is_ok(module_type_e        module, uint64_t ulLen);
int8_t osp_show_dm_by_apcid(uint8_t           ucApcId, uint64_t phy_addr, uint32_t ulLen);
int8_t osp_dump_dm_by_apcid(char *pName, uint8_t           ucApcId, uint64_t phy_addr, uint32_t ulLen);
int32_t osp_dump_phy_mem(uint64_t phy_addr, uint32_t len, uint64_t tmp_addr);

#ifdef HEARTBEAT_ENABLE
int8_t osp_dump_dm_by_coreid(uint8_t coreid);
#endif


#ifdef __cplusplus

}

#endif



#endif 


